Verbose Logging

software development with some really amazing hair

T + S G I F R

Compiling Ruby 1.9.1 Alongside Ruby 1.8.7

· · Posted in Programming
Tagged with

I almost threw my laptop out the window figuring this out, but if you want to install ruby 1.9.1 alongside ruby 1.8.7 (whether the prefix is the same or not), you have to give ruby 1.9 a program suffix, but also a baseruby.

So you need something like this:

./configure --prefix=$HOME/local --program-suffix=1.9 --with-baseruby=ruby --enable-pthread

Sharing is Caring